summaryrefslogtreecommitdiff
path: root/src/kernel-install
diff options
context:
space:
mode:
authorTom Gundersen <teg@jklm.no>2013-09-25 22:58:00 +0200
committerTom Gundersen <teg@jklm.no>2013-09-27 15:56:54 +0200
commit8b179a830a789746cce0be6671e2de235e3b0ea9 (patch)
tree2a807aabe445f23521f92c6d2158d5a823f6c076 /src/kernel-install
parentf2ec0646aba7c6703a6c79603957e805b74c3bef (diff)
kernel-install: avoid using 'cp --preserve'
Force 0644 and root:root instead, to avoid problems with fat filesystems.
Diffstat (limited to 'src/kernel-install')
-rw-r--r--src/kernel-install/90-loaderentry.install4
1 files changed, 3 insertions, 1 deletions
diff --git a/src/kernel-install/90-loaderentry.install b/src/kernel-install/90-loaderentry.install
index 6b91d1ccc..a6a8abc2b 100644
--- a/src/kernel-install/90-loaderentry.install
+++ b/src/kernel-install/90-loaderentry.install
@@ -59,7 +59,9 @@ if ! [[ ${BOOT_OPTIONS[*]} ]]; then
exit 1
fi
-cp --preserve "$KERNEL_IMAGE" "$BOOT_DIR_ABS/linux" || {
+cp "$KERNEL_IMAGE" "$BOOT_DIR_ABS/linux" &&
+ chown root:root "$BOOT_DIR_ABS/linux" &&
+ chmod 0644 "$BOOT_DIR_ABS/linux" || {
echo "Could not copy '$KERNEL_IMAGE to '$BOOT_DIR_ABS/linux'." >&2
exit 1
}